@keyframes vert-bounce {
  0% {
    transform: translateY(0);
  }

  50% {
    transform: translateY(-5px);
  }

  100% {
    transform: translateY(-4px);
  }
}

@keyframes hor-bounce {
  0% {
    transform: translateX(0);
  }

  40% {
    transform: translateX(9px);
  }
  75% {
	transform: translateX(5px);
  }
  100% {
    transform: translateX(6px);
  }
}

@keyframes hor-bounce-stay {
  0% {
    transform: translateX(0);
  }

  30% {
    transform: translateX(4px);
  }
  60%{
	transform: translateX(-1px);
  }
  85% {
	transform: translateX(1px);
  }

  100% {
    transform: translateX(0px);
  }
}

@keyframes rotate {
  0% {
    transform: rotate(0);
  }

  25% {
    transform: rotate(20deg);
  }
  50% {
	transform: rotate(-10deg);
  }

  75% {
	transform: rotate(5deg);
  }

  100% {
    transform: rotate(0);
  }
}


@keyframes rotate-bounce {
  0% {
    transform: rotate(0);
  }

  25% {
    transform: rotate(5deg);
  }
  70% {
	transform: rotate(-5deg);
  }

  100% {
    transform: rotate(0);
  }
}

/* SVG */

@keyframes draw-border {
    from {
        stroke-dashoffset: 80;
    }
    to {
        stroke-dashoffset: 0;
    }
}

@keyframes draw-line {
    from {
        stroke-dashoffset: 8;
    }
    to {
        stroke-dashoffset: 0;
    }
}

@keyframes blink {
  50% { opacity: 0; }
}


